% png Bilder einlesen und auf -1..1 abbilden

dat = double(imread('font15.png'));
dat = 1-2*dat; % auf -1,1 abbilden
width = 12;
height = 15;
N = width*height;
Npic = 26;  % evtl reduzieren (N ist evtl zu klein fuer 26 Bilder)
buchstabe = -ones([height width 26]);
for l=1:Npic
   buchstabe(1:height,1:width,l) = dat(1:height,(l-1)*width+1:l*width);
   imagesc(buchstabe(:,:,l));
   colormap('gray')
   xi(:,l) = reshape(buchstabe(:,:,l),N,1); % Bild fuer Hopfield
   input('weiter?');
end

% Handgemalte Testbuchstaben
files = {'A15_1.png', 'A15_2.png', 'A15_3.png', 'B15_1.png'};

Nfiles = length(files);

for ipic = 1:Nfiles
   fprintf('Bild %s\n',files{ipic})
   dat = double(imread(files{ipic}));
   dat = 1-2*dat; % auf -1,1 abbilden
   
   S(:,ipic) = dat(:);

   imagesc(dat); colormap('gray');
   input('weiter?');
end

% S enthaelt Testbilder, xi enthaelt wahre Bilder, mit denen das Netz gelehrt wird
% ...
